Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07931 Sound Minor Always Apr 4, 2021, 20:10 Apr 5, 2021, 23:57
Tester StHiryu View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver megadriv.cpp
Version 0.230 Fixed in Version 0.231 Build 64-bit
Fixed in Git Commit 4e263a9 Github Pull Request #
Summary MESS-specific 07931: megadriv [sor2]: The fx effects for selecting options and hitting enemies are different in the current 231GIT.
Description Seems with the recent audio changes some fx sounds have been modified, like the ones selecting options in the menus and pressing the attack button without hitting an enemy.
Steps To Reproduce Select an option in the main menu, in the select player menu, and press the attack button when no enemies are near.
Additional Information -Comparison video:


-Video recorded on a real genesis:


-Possible regression:
52f0acb25ca8a88a8170d0c9399c682d9469fac4
ee1e4f9683a4953cb9d88f9256017fcbc38e3144
46d17663b3f0400d83bd8e0436f7e636a57da4cf

-Also verified with my own sor2 cartridge.
Github Commit
Flags Verified with Original
Regression Version 0.230
Affected Sets / Systems megadriv [sor2]
Attached Files
 
Relationships
related to 07922Resolvedaaron  genesis [sporttbb]: The bat hitting the baseball sound effect is only heard if you hit the first pitch 
Notes
7
User avatar
No.18641
Tafoid
Administrator
Apr 4, 2021, 21:09
The actually, in my testing, appears to be 2 separate issues.

The menu/character select sound sometimes dropping off or not playing is present in 0..230. The fix https://github.com/mamedev/mame/commit/52f0acb25ca8a88a8170d0c9399c682d9469fac4 has apparently fixed that behavior of the selection but then caused an issue with the punch sound which was not present before the fix.

In short, the selection sound is resolved (along with many other bugs, 07922, etc), but the punch sound was initiated in the current Git work.
User avatar
No.18643
StHiryu
Tester
Apr 4, 2021, 21:45
Mmmm, regarding the The menu/character select sound, the test is done this evening compiling the latest github mame for avoiding mistakes. Yes the sound is present but as you can see in the other videos (0.229 and the real hardware), it has never sounded that way.

The strange thing is that at MameUI 0.230 that sound plays correctly too, but anyway, in the current mame is distorted.
User avatar
No.18645
ICEknight
Tester
Apr 5, 2021, 04:15
Just wanted to add that, like happened with the issues with Vectorman, all sfx including character selection, throwing punches and jumping, played fine on build 2021-03-16 11:45 https://www.mediafire.com/file/wox6bhzm5gim5zz/16032021-11.45_mame.7z
User avatar
No.18646
aaron
Developer
Apr 5, 2021, 04:29
Ok, I think I figured out a fix for this. Give it a try on the latest. https://github.com/mamedev/mame/commit/90d6b1b29e591fe81d8d29ef45a46918478dbba3
User avatar
No.18648
aaron
Developer
Apr 5, 2021, 07:22
Actually, found a better fix. https://github.com/mamedev/mame/commit/4e263a920a8bf375054f3dc45b9b2ca4c86ba14b
User avatar
No.18653
StHiryu
Tester
Apr 5, 2021, 17:00
Fixed, sounds great now. Big thanks Aaron.
User avatar
No.18655
aaron
Developer
Apr 5, 2021, 23:57
Awesome, thanks for checking things I never would think to check!